{ pkgs, configVars, ... }:
{
  networking.hostName = configVars.hostname;
  imports = [
    ./nix-ld.nix
    ./boot.nix
    ./printers.nix
  ];
  
  hardware.bluetooth.enable = true;
  networking.networkmanager.enable = true;
  console.keyMap = "de";
  nixpkgs.config.allowUnfree = true;
  services.hardware.bolt.enable = true;
  services.fprintd.enable = true;
  nix.settings.experimental-features = [ "nix-command" "flakes" ];
  system.stateVersion = "23.11";
}