{ pkgs, home-manager, ... }:
{
  home-manager.users.willifan = {
    services.kanshi = {
      enable = false;

      settings = [
        {
          profile.name = "default";
          profile.outputs = [
            {
              criteria = "eDP-1";
	  	        mode = "2256x1504";
              position = "0,0";
	  	        scale = 1.6;
            }
          ];
          profile.exec = "$XDG_CONFIG_HOME/eww/scripts/monitors.sh";
	      }

        {
          profile.name = "home";
	        profile.outputs = [
            {
	            criteria = "ViewSonic Corporation VX2705-2KP W6Z205100250";
	  	        mode = "2560x1440";
	  	        position = "0,384";
	  	        scale = 1.25;
              transform = "normal";
            }
            {
              criteria = "ViewSonic Corporation VX2705-2KP W6Z210400766";
              mode = "2560x1440@143.91Hz";
              position = "2048,384";
              scale = 1.25;
	  	        transform = "normal";
            }
            {
              criteria = "BNQ BenQ BL2283 CAM01567019";
              mode = "1920x1080";
              position = "4096,0";
              scale = 1.0;
	          	transform = "270";
            }
            {
              criteria = "*";
            }
          ];
          profile.exec = "$XDG_CONFIG_HOME/eww/scripts/monitors.sh";
        }

        {
          profile.name = "LeoBots1";
	        profile.outputs = [
            {
              criteria = "Samsung Electric Company S24F350 H4LR501027";
	  	        mode = "1920x1080";
	  	        position = "0,0";
	  	        scale = 1.0;
              transform = "normal";
	          }
            {
	            criteria = "Samsung Electric Company S24F350 H4LR500406";
	  	        mode = "1920x1080";
	  	        position = "1920,0";
	  	        scale = 1.0;
              transform = "normal";
	          }
            {
              criteria = "eDP-1";
              mode = "2256x1504";
              position = "3840,0";
              scale = 1.0;
              transform = "normal";
            }
          ];
          profile.exec = "$XDG_CONFIG_HOME/eww/scripts/monitors.sh";
        }

        {
          profile.name = "LeoBots2";
	        profile.outputs = [
            {
              criteria = "eDP-1";
              mode = "2256x1504";
              position = "0,0";
              scale = 1.0;
              transform = "normal";
            }
            {
              criteria = "Samsung Electric Company S24F350 H4LR500394";
	  	        mode = "1920x1080";
	  	        position = "2256,0";
	  	        scale = 1.0;
              transform = "normal";
	          }
            {
	            criteria = "Samsung Electric Company S24F350 H4LR501024";
	  	        mode = "1920x1080";
	  	        position = "4176,0";
	  	        scale = 1.0;
              transform = "normal";
	          }
          ];
          profile.exec = "$XDG_CONFIG_HOME/eww/scripts/monitors.sh";
        }

        {
          profile.name = "raum116";
          profile.outputs = [
            {
              criteria = "Samsung Electric Company S24F350 H4LR500834";
              mode = "1920x1080";
              position = "0,0";
              scale = 1.0;
              transform = "normal";
            }
            {
              criteria = "Samsung Electric Company S24F350 H4LR500705";
              mode = "1920x1080";
              position = "1920,0";
              scale = 1.0;
              transform = "normal";
            }
            {
              criteria = "eDP-1";
              mode = "2256x1504";
              position = "3840,0";
              scale = 1.0;
              transform = "normal";
            }
          ];
          profile.exec = "$XDG_CONFIG_HOME/eww/scripts/monitors.sh";
        }

      ];
    };
  };


  systemd = {
    user.services.kanshi-hyprland = {
      description = "Wayland daemon that automatically configures outputs";
      wantedBy = [ "graphical-session.target" ];
      wants = [ "graphical-session.target" ];
      after = [ "graphical-session.target" ];
      serviceConfig = {
        Type = "simple";
        ExecStart = "${pkgs.kanshi}/bin/kanshi";
        Restart = "always";
      };
    };
  };
}