{ pkgs, home-manager, ... }:

{
  home-manager.users.willifan = {
    gtk = {
      enable = true;
      font = {
        name = "JetBrains Mono";
        package = pkgs.jetbrains-mono;
      };

      theme = {
        name = "rose-pine";
        package = pkgs.rose-pine-gtk-theme;
      };

      iconTheme = {
        name = "Papirus-Dark";
        package = pkgs.papirus-icon-theme;
      };

      #TODO add ascendancy cursor pack
      #cursortTheme.name = "";
      #cursortTheme.package = ;

      gtk3.extraConfig = {
        Settings = ''
          gtk-application-prefer-dark-theme=1
        '';
      };
      gtk4 = {
        extraConfig = {
          Settings = ''
            gtk-application-prefer-dark-theme=1
          '';
        };
        extraCss = ''
          .sidebar-pane {
            background-color: rgb(25, 23, 36);
          }
        '';

      };
    };
  };
}
